#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_max_retry_seconds_before_determiner_fail, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum amount of time, in seconds, WebLogic Server waits for the determiner to recover from a failure. If the determiner does not recover after this period, WebLogic Server sets the TLog health state to HEALTH_FAILED. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_max_retry_seconds_before_determiner_fail => '300'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_max_retry_seconds_before_determiner_fail']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTACluster/%{cluster_name}/MaxRetrySecondsBeforeDeterminerFail')
end
