#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:overload_shared_capacity_for_work_managers, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Total number of requests that can be present in the server. This includes requests that are enqueued and those under execution.  The server performs a differentiated denial of service on reaching the shared capacity. A request with higher priority will be accepted in place of a lower priority request already in the queue. The lower priority request is kept waiting in the queue till all high priority requests are executed. Further enqueues of the low priority requests are rejected right away.  

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         overload_shared_capacity_for_work_managers => '65536'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:overload_shared_capacity_for_work_managers']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('OverloadProtection/%{cluster_name}/SharedCapacityForWorkManagers')
end
