#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:clusteringmode, :parent => Puppet::Parameter::WlsProperty) do


  desc <<-EOD
  Specifies a clustering mode of either Unicast or Multicast. If multicast is undesirable or unavailable in an environment, or when an environment is not properly configured to support multicast, then setting up the Well Known Addresses (WKA) feature is required. All cluster multicast communication is disabled if WKA is enabled. 

  Here is an example on how to use this:

      wls_coherence_cluster { 'aCluster':
        ...
        clusteringmode => 'unicast',
        ...
      }

  EOD

  defaultto 'unicast'
  newvalues('absent', 'multicast','unicast')

  maps_to('CoherenceClusterResource/%{coherence_cluster_name}/CoherenceClusterParams/%{coherence_cluster_name}/ClusteringMode')
end
