#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ds_proxy_switching_properties, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies the switching properties passed to the switching callback method for a Proxy data source. 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         ds_proxy_switching_properties => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:ds_proxy_switching_properties']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCDataSourceParams/%{datasource_name}/ProxySwitchingProperties')
end
