#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:oracle_optimize_utf8_conversion, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Enables the Oracle JDBC optimize UTF-8 conversion option. 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         oracle_optimize_utf8_conversion => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:oracle_optimize_utf8_conversion']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCOracleParams/%{datasource_name}/OracleOptimizeUtf8Conversion')
end
