#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
    The datasource password.

    Usage :

        wls_datasource { ....:
          ...
          password => 'clear_text_password',
          ...
        }

    The password string is passed to WebLogic for encryption and then stored in the domain.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCDriverParams/%{datasource_name}/Password') 

end
