#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:batch_jobs_data_source_jndi_name, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  Returns the Batch DataSource jndi name. This jndi name will be used to lookup an instance of a DataSource that will be used to store the Batch jobs data. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         batch_jobs_data_source_jndi_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:batch_jobs_data_source_jndi_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('BatchJobsDataSourceJndiName')
end
