#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:guardian_enabled, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Specifies whether the Guardian Agent is deployed when starting servers in the current domain. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         guardian_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:guardian_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('GuardianEnabled')
end
