#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:security_enforce_strict_url_pattern, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  Whether or not the system should enforce strict URL pattern or not. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         security_enforce_strict_url_pattern => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:security_enforce_strict_url_pattern']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('SecurityConfiguration/%{domain_name}/EnforceStrictURLPattern')
end
