#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:security_node_manager_username, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  The user name that the Administration Server uses to communicate with Node Manager when starting, stopping, or restarting Managed Servers.  

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         security_node_manager_username => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:security_node_manager_username']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SecurityConfiguration/%{domain_name}/NodeManagerUsername')
end
