#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:site_name, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  The name of the site this domain is associated with. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         site_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:site_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SiteName')
end
