#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:batch_jobs_data_source_jndi_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The JNDI name of the Batch runtime's JobRepository data source, which will be used to store data for Batch jobs submitted from applications deployed to the partition. When a Java EE component submits a Batch job, the Batch runtime updates the JobRepository tables using this data source, which is obtained by looking up the data source's JNDI name.  

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         batch_jobs_data_source_jndi_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:batch_jobs_data_source_jndi_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('BatchJobsDataSourceJndiName')
end
