#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:provider_url, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The foreign JNDI provider URL. This value corresponds to the standard JNDI property, <code>java.naming.provider.url</code>. 

  An example on how to use this:

      wls_foreign_jndi_provider {a_wls_foreign_jndi_provider :
         ...
         provider_url => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_foreign_jndi_provider:provider_url']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ProviderURL')
end
