#
# See the file "LICENSE" for the full license governing this code.
#
require "#{File.dirname(__FILE__)}/../foreign_server_object_property"

newproperty(:password, :parent => Puppet::Parameter::WlsEncryptedProperty) do
  extend ForeignServerObjectProperty

  desc <<-EOD
  The password used in conjunction with the user name specified in the <code>Username</code> parameter to access the remote connection factory. 

  An example on how to use this:

      wls_foreign_server_object {a_wls_foreign_server_object :
         ...
         password => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_foreign_server_object:password']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Password') {}
end
