#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:destination_type, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The destination type (queue or topic) for this JMS bridge destination. 

  An example on how to use this:

      wls_jms_bridge_destination {a_wls_jms_bridge_destination :
         ...
         destination_type => 'Queue'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_bridge_destination:destination_type']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DestinationType')
end
