#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:delivery_default_redelivery_delay, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The delay time, in milliseconds, before rolled back or recovered messages are redelivered.  All messages consumed by a consumer created with this factory that have a DefaultRedeliveryDelay of -1 will use this value.  Message consumers can get the redelivery delay explicitly by calling the <code> weblogic.jms.extensions.WLSession.getRedliveryDelay()</code> method.   This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory. 

  An example on how to use this:

      wls_jms_connection_factory {a_wls_jms_connection_factory :
         ...
         delivery_default_redelivery_delay => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_connection_factory:delivery_default_redelivery_delay']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DefaultDeliveryParams/%{connection_factory_name}/DefaultRedeliveryDelay')
end
