#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:distributed) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc 'Distributed queue'
  defaultto 0

  on_modify do
    fail 'You cannot change the distributed propery of a queue. You\'ll have to recreate it'
  end

  to_translate_to_resource do |raw_resource|
    case raw_resource[:object_type]
    when 'Queues' then 0
    when 'UniformDistributedQueues' then 1
    else
      fail 'Invalid queue type'
    end
  end
end
