#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:consumption_paused_at_startup, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-EOD
  Specifies whether consumption is paused on a destination at startup.  <ul> <li>default If a JMS template is specified, then this value inherits the template's Consumption Paused At Startup value. If no JMS template is configured for the destination, then the Default value is equivalent to false.</li>  <li>false Consumption Paused is explicitly disabled for this destination. </li>  <li>true Consumption Paused is explicitly turned on for this destination.</li> </ul>

  An example on how to use this:

      wls_jms_queue {a_wls_jms_queue :
         ...
         consumption_paused_at_startup => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_queue:consumption_paused_at_startup']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('ConsumptionPausedAtStartup')
end
