#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reset_delivery_count_on_forward, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-EOD
  Determines whether or not the delivery count is reset during message forwarding between distributed queue members.  The default value of true resets the delivery counts on messages when they are forwarded to another distributed queue member.

  An example on how to use this:

      wls_jms_queue {a_wls_jms_queue :
         ...
         reset_delivery_count_on_forward => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_queue:reset_delivery_count_on_forward']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('ResetDeliveryCountOnForward')
end
