#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:unit_of_work_handling_policy, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-EOD
  Specifies whether the Unit-of-Work (UOW) feature is enabled for this destination. A UOW is a set of messages that are processed as a single unit. <ul> <li> Pass-Through By default, this destination does not treat messages as part of a UOW.</li> <li> Single Message Delivery This value should only be selected if UOW consumers are receiving messages on this destination. When selected, UOW messages are formed into a list and are consumed as an <code>ObjectMessage</code> containing the list.</li> </ul>

  An example on how to use this:

      wls_jms_queue {a_wls_jms_queue :
         ...
         unit_of_work_handling_policy => 'PassThrough'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_queue:unit_of_work_handling_policy']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('UnitOfWorkHandlingPolicy')
end
