#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:delivery_template_bean, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  This is used to find the template bean for this destination 

  An example on how to use this:

      wls_jms_template {a_wls_jms_template :
         ...
         delivery_template_bean => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_template:delivery_template_bean']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DeliveryFailureParams/%{template_name}/TemplateBean')
end
