#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:saf_export_policy, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether a user can send messages to destinations that use this template using Store-and-Forward.  <ul> <li>All All users can send messages to destinations using Store-and-Forward.</li>  <li>None Remote users cannot send messages to destinations using Store-and-Forward. </li> </ul>  This property is dynamically configurable. A dynamic change will only affect messages sent after the update has been made. 

  An example on how to use this:

      wls_jms_template {a_wls_jms_template :
         ...
         saf_export_policy => 'All'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_template:saf_export_policy']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SafExportPolicy')
end
