#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:thresholds_template_bean, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Finds the template bean for this destination. 

  An example on how to use this:

      wls_jms_template {a_wls_jms_template :
         ...
         thresholds_template_bean => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_template:thresholds_template_bean']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Thresholds/%{template_name}/TemplateBean')
end
