#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_message_logging_enabled, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-EOD
  Specifies whether the module logs information about the message life cycle.

  An example on how to use this:

      wls_jms_topic {a_wls_jms_topic :
         ...
         log_message_logging_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_topic:log_message_logging_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('MessageLoggingParams/%{topic_name}/MessageLoggingEnabled')
end
