#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:hosting_temporary_destinations, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether this JMS server can be used to host temporary destinations.  If this field is enabled and no Temporary Template Name is defined, then the temporary destinations created on this JMS server will use all default destination values. If this field is enabled, then the JMS template to be used for creating temporary destinations is specified by the Temporary Template Name field. If this field is disabled, then this JMS server will not host temporary destinations. 

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         hosting_temporary_destinations => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jmsserver:hosting_temporary_destinations']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('HostingTemporaryDestinations')
end
