#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:paging_message_compression_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Enables the JMS paging store to perform message body compression on persistent and non-persistent messages. When <code>false</code>, the default value, no compression is performed. This attribute should be enabled only when configuring a WebLogic domain in an Oracle Exalogic environment. 

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         paging_message_compression_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jmsserver:paging_message_compression_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('PagingMessageCompressionEnabled')
end
