#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:quality_of_service, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The QOS (quality of service) for this messaging bridge instance.  <ul> <li><tt>Exactly-once</tt>: Each message in the source destination is transferred to the target exactly once. This is the highest QOS a messaging bridge instance can offer. </li>  <li><tt>Atmost-once</tt>: Each message in the source is transferred to the target only once with the possibility of being lost during the forwarding. </li>  <li><tt>Duplicate-okay</tt>: Messages in the source destination are transferred to the target (none are lost) but some may appear in the target more than once. </li> </ul> 

  An example on how to use this:

      wls_messaging_bridge {a_wls_messaging_bridge :
         ...
         quality_of_service => 'Exactly-once'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_messaging_bridge:quality_of_service']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('QualityOfService')
end
