#
# See the file "LICENSE" for the full license governing this code.
#
  newproperty(:driver_password, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
  The password attribute passed to the JDBC driver when creating physical database connections.  The value is stored in an encrypted form in the descriptor file and when displayed in an administration console. 

  An example on how to use this:

      wls_multi_datasource {a_wls_multi_datasource :
         ...
         driver_password => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_multi_datasource:driver_password']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCDriverParams/%{multi_datasource_name}/Password')
end
