#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:messages_maximum, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum message quota (total amount of messages) that can be stored in this SAF agent.  <ul> <li> The default value of <code>-1</code> specifies that the server instance has no limit on the number of messages that can be stored. However, excessive message volume can cause memory saturation, so this value should correspond to the total amount of available system memory relative to the rest of your application load. </li>  <li> Applies only to sending agents. </li>  <li> Updating the maximum message quota resets the message count so that only requests arriving after the update are charged against the new quota. </li> </ul>  Range of Values: &gt;= MessagesThresholdHigh 

  An example on how to use this:

      wls_safagent {a_wls_safagent :
         ...
         messages_maximum => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_safagent:messages_maximum']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MessagesMaximum')
end
