#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:window_interval, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum amount of time, in milliseconds, that a JMS sending agent waits before forwarding messages in a single batch. For a distributed queue or topic, <code>WindowInterval</code> setting is ignored.  A sending agent waits to forward the message batch until either: (A) the source destination message count is greater than or equal to the configured <code>Window Size</code>; (B) it has waited a specified <code>Window Interval</code>, whichever comes first. 

  An example on how to use this:

      wls_safagent {a_wls_safagent :
         ...
         window_interval => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_safagent:window_interval']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('WindowInterval')
end
