#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:window_size, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  For JMS messages, the number of messages in a batch. A sending agent waits to forward a message batch until the source destination message count is greater than or equal to this value. For a distributed queue or topic, <code>WindowSize</code> setting is ignored and always internally set to 1 message. For WSRM, the maximum number of unacknowledged messages allowed between a source destination and a target destination during a conversation. 

  An example on how to use this:

      wls_safagent {a_wls_safagent :
         ...
         window_size => '10'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_safagent:window_size']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('WindowSize')
end
