newproperty(:validate_dd_security_data, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Not used in this release. 

  An example on how to use this:

      wls_security_realm {a_wls_security_realm :
         ...
         validate_dd_security_data => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_security_realm:validate_dd_security_data']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('ValidateDDSecurityData')
end
