#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_monitoring_interval_secs, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Timer interval in seconds to check the counts of messages logged during the interval. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         log_monitoring_interval_secs => '30'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:log_monitoring_interval_secs']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{server_name}/LogMonitoringIntervalSecs')
end
