#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:upload_directory_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The directory path on the Administration Server where all uploaded applications are placed.  If an absolute directory name is not specified, the path is relative to the root directory "/". The default staging directory is "stage", relative to the server root. On the Managed Server this returns null, and is not configurable. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         upload_directory_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:upload_directory_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('UploadDirectoryName')
end
