#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:use_fusion_for_llr, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Enables the use of the <code>ADM_DDL </code> store procedure for LLR. The default value is <code>false</code> (not enabled).  When enabled, a  <code>WLS_</code> prefix and <code>_DYD</code> suffix is is automatically added to the LLR table name at runtime so the LLR table name in server configuration is not consistent with the actual table name in database. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         use_fusion_for_llr => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:use_fusion_for_llr']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('UseFusionForLLR')
end
