#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:frontendhttpport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  include EasyType::Validators::PortNumber

  desc <<-EOD
  The frontendhttpport of this cluster.
  Here is an example on how to use this:
      wls_cluster { 'aCluster':
        ...
        frontendhttpport => '9000',
        ...
      }
  For more information checkout the documentation of propery [ClusterMBean.FrontendHTTPPort](http://docs.oracle.com/middleware/1213/wls/WLMBR/mbeans/ClusterMBean.html#FrontendHTTPPort)
  in the WebLogic documentation.
  EOD

 maps_to('WebServer/%{server_name}/FrontendHTTPPort')

end