#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssllistenport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  include EasyType::Validators::PortNumber

  desc <<-EOD
  The TCP/IP port at which this server listens for SSL connection requests. 

  An example on how to use this:

      ...{...:
         ...
         ssllistenport => 7002
         ...
      }

  Help text generated from MBEan text.

  EOD

  maps_to 'SSL/%{server_name}/ListenPort'

end
