#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:administration_port, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The secure administration port for the server. This port requires that you enable the domain's administration port and that SSL is configured and enabled.  By default, the server uses the administration port that is specified at the domain level. To override the domain-level administration port for the current server instance, set this server's administration port. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         administration_port => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:administration_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('AdministrationPort')
end
