#
# See the file "LICENSE" for the full license governing this code.
#
  newproperty(:custom_identity_key_store_pass_phrase, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
  The encrypted custom identity keystore's passphrase. If empty or null, then the keystore will be opened without a passphrase.  This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_JAVA_STANDARD_TRUST, CUSTOM_IDENTITY_AND_CUSTOM_TRUST or CUSTOM_IDENTITY_AND_COMMAND_LINE_TRUST.  When you get the value of this attribute, WebLogic Server does the following: <ol><li>Retrieves the value of the <code>CustomIdentityKeyStorePassPhraseEncrypted</code> attribute.</li> <li>Decrypts the value and returns the unencrypted password as a String.</li> </ol>  When you set the value of this attribute, WebLogic Server does the following: <ol><li>Encrypts the value.</li> <li>Sets the value of the <code>CustomIdentityKeyStorePassPhraseEncrypted</code> attribute to the encrypted value.</li> </ol> Using this attribute (<code>CustomIdentityKeyStorePassPhrase</code>) is a potential security risk because the String object (which contains the unencrypted password) remains in the JVM's memory until garbage collection removes it and the memory is reallocated. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.  Instead of using this attribute, use <code>CustomIdentityKeyStorePassPhraseEncrypted</code>. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         custom_identity_key_store_pass_phrase => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:custom_identity_key_store_pass_phrase']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('CustomIdentityKeyStorePassPhrase')
end
