#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:idle_connection_timeout, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum number of seconds that a connection is allowed to be idle before it is closed by the server. The T3 and T3S protocols ignore this attribute. If you configure network channels for this server, each channel can override this idle connection message timeout.  This timeout helps guard against server deadlock through too many open connections. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         idle_connection_timeout => '65'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:idle_connection_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('IdleConnectionTimeout')
end
