#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:listen_port, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The default TCP port that this server uses to listen for regular (non-SSL) incoming connections.  Administrators must have the right privileges before binding to a port or else this operation will not be successful and it will render the console un-reachable.  If this port is disabled, the SSL port must be enabled. Additional ports can be configured using network channels. The cluster (multicast) port is configured separately. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         listen_port => '7001'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:listen_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ListenPort')
end
