#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:server_version, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The release identifier for the server. Since this is a configured attribute it is only as accurate as the configuration. The form of the version is major.minor.servicepack.rollingpatch. Not all parts of the version are required. i.e. "7" is acceptable. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         server_version => 'unknown'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:server_version']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ServerVersion')
end
