#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_hostname_verification_ignored, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether to ignore the installed implementation of the <code>weblogic.security.SSL.HostnameVerifier</code> interface (when this server is acting as a client to another application server). 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         ssl_hostname_verification_ignored => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:ssl_hostname_verification_ignored']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('SSL/%{template_name}/HostnameVerificationIgnored')
end
