#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_minimum_tls_protocol_version, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Get the minimum SSL/TLS protocol version currently configured. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         ssl_minimum_tls_protocol_version => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:ssl_minimum_tls_protocol_version']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SSL/%{template_name}/MinimumTLSProtocolVersion')
end
