#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:host_names, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The list of host names for which this virtual target serves requests. 

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         host_names => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:host_names']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('HostNames')
end
