#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:uri_prefix, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The URI prefix for this VirtualTarget. 

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         uri_prefix => '/'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:uri_prefix']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('UriPrefix')
end
